package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.List;

public class MenuRecipeV2AddDTO {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("菜谱类型 1 默认 2按天 3按周")
   private Integer recipeType;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("适用人员范围")
   private Long effId;
   @ApiModelProperty("发布日期列表")
   private @Valid List<MenuRecipeDateV2AddDTO> recipeDateList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Integer getRecipeType() {
      return this.recipeType;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getEffId() {
      return this.effId;
   }

   public List<MenuRecipeDateV2AddDTO> getRecipeDateList() {
      return this.recipeDateList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setRecipeType(final Integer recipeType) {
      this.recipeType = recipeType;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setRecipeDateList(final List<MenuRecipeDateV2AddDTO> recipeDateList) {
      this.recipeDateList = recipeDateList;
   }
}
